#include "vhdl_bison_parser.hpp"

//---------------------------------------------------------------------------
void VhdlParser::run (const std::string& f)
{
  l.init( f.c_str() );
  fn = f;
  yy::VhdlBisonParser parser( l , *this );
  parser.set_debug_level (trace_parsing);
  parser.parse ();
}

//---------------------------------------------------------------------------
void VhdlParserClient::haveUnit(void){}
void VhdlParserClient::endUnit(void){}
void VhdlParserClient::haveEntity( const StringToken& entName ){}
void VhdlParserClient::endEntity(void){}
void VhdlParserClient::havePort(InterfaceDecl& intDecl ){}
void VhdlParserClient::haveArch(const StringToken& archName,const StringToken& entName  ){}
void VhdlParserClient::endArch(const StringToken& archName  ){}
void VhdlParserClient::haveSignalDeclar( InterfaceDecl intDecl ){}
void VhdlParserClient::haveComponent(const StringToken& compName){}
void VhdlParserClient::endComponent(const StringToken& compName){}
void VhdlParserClient::haveComponentPort(InterfaceDecl& intDecl ){}
void VhdlParserClient::haveComponentInst(const StringToken& label, const StringToken& compName,const StringToken& archName){}
void VhdlParserClient::havePortAssoc(const StringToken& compPortName,const StringToken& archNet){}
void VhdlParserClient::havePosPortAssoc(int portPosition, const StringToken& NetName){}
void VhdlParserClient::endComponentInst(void){}
StringToken* VhdlParserClient::haveSymFunc(const list<StringToken> listInputNames,
									const std::string& func, bool createNet ){ return NULL;}
void VhdlParserClient::haveOperand(const StringToken& portName ){}
void VhdlParserClient::haveSignalAssignment(StringToken targetName, Expr* waveform ){}
VhdlParserClient::~VhdlParserClient (){}
